
QGIS Application - Bug report #21573

QGIS Crashes when saving a project

2019-03-13 09:11 AM - Sean Attridge

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 29389

Description

QGIS crashes when I try to save any project, I am currently using 3.60 but had the same problem when using earlier versions. I have also

uninstalled all additional plug-ins but have the same problem.

Crash ID: 567b1a0ed997a838a93db0dc01c7eb16f024c750

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :
SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-03-13 10:00 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

Please try with a new/clean (QGIS) profile.

#2 - 2019-03-25 01:29 PM - Sean Attridge

- Status changed from Feedback to Open

- Assignee set to Alexandre Neto

I have downloaded both 3.6 and 3.4 with clean profiles but I continue to experience the same problem when I try to save any projects

#3 - 2019-03-25 01:37 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee deleted (Alexandre Neto)

Sean Attridge wrote:

I have downloaded both 3.6 and 3.4 with clean profiles but I continue to experience the same problem when I try to save any projects

just downloading and installing new version is not guarantee of using a new profile, did you do

settings > user profiles > new profile
and did not installed any 3rd party plugin before trying again?

#4 - 2019-03-25 01:48 PM - Sean Attridge

I have followed those steps and created a new profile and do not have any 3rd party plugins installed, am experiencing the same problem though

#5 - 2019-03-25 02:12 PM - Sean Attridge

Have solved the problem by using ShellEXVeiwer and disabling none Microsoft shells which has fixed the problem

#6 - 2019-03-26 03:46 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

2025-04-26 3/3


